package avrasm;

import java.io.IOException;

public class Avrasm {

	/**
	 * @param args the command line arguments
	 */
	public static void main(String[] args) {

		try {
			if (args.length != 2 && args.length != 1) {
				System.err.println("usage: <input_filename> <output_filename>");
				System.exit(1);
			}

			AvrParser parser = new AvrParser(args[0]);
			parser.parse();
			parser.generateCode();
			if (args.length == 1)
				parser.write("a.out");
			else
				parser.write(args[1]);

		} catch (IOException ex) {
			System.err.println("File " + args[0] + " not found.");;
			System.exit(1);
		} catch (AVRException ex) {
			System.err.println(ex.getMessage());
		}
	}
}
